
# EnumTest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**enumString** | [**EnumStringEnum**](#EnumStringEnum) |  |  [optional]
**enumInteger** | [**EnumIntegerEnum**](#EnumIntegerEnum) |  |  [optional]
**enumNumber** | [**EnumNumberEnum**](#EnumNumberEnum) |  |  [optional]
**outerEnum** | [**OuterEnum**](OuterEnum.md) |  |  [optional]


<a name="EnumStringEnum"></a>
## Enum: EnumStringEnum
Name | Value
---- | -----
UPPER | &quot;UPPER&quot;
LOWER | &quot;lower&quot;
EMPTY | &quot;&quot;


<a name="EnumIntegerEnum"></a>
## Enum: EnumIntegerEnum
Name | Value
---- | -----
NUMBER_1 | 1
NUMBER_MINUS_1 | -1


<a name="EnumNumberEnum"></a>
## Enum: EnumNumberEnum
Name | Value
---- | -----
NUMBER_1_DOT_1 | 1.1
NUMBER_MINUS_1_DOT_2 | -1.2



